plugins['parkbutton'] = (function() {
    // var private = []; 
    var parkExten = 0;

    return { 

        loadLang: function(values) {
            var hash = hex_md5(secret+lastkey);
            queuedcommand = "<msg data=\"" + myposition + "|pluginlang|" + language + "~parkbutton" + "|" + hash + "\" />";
            sendcommand();
        },

        setLang: function() {
            // change language strings
            if ($('#box_asternicTagbox').length > 0) {
                // fop2 pre 2.30
                $('#action_parkcall').attr('title',lang.park);
            } else {
                $('#action_parkcall').attr('data-original-title',lang.park);
            }
            setTips($('#action_parkcall'));
        },
        callback_zbuttons: function(nro,uno,dos) {
            for (var s = 0; s < botonitos.length; s++) {
                for (var i in botonitos[s]) {
                    if (botonitos[s].hasOwnProperty(i)) {
                         if (i == "TYPE") {
                             if(botonitos[s]['TYPE']=='park') {
                                 parkExten=s;
                                 debug('found park in position '+parkExten);
                             }
                         }
                     }
                 }
             }
        },
        embed: function() {
            // embed elements in page, load style files
            if($('#action_parkcall').length == 0) {
                var actionbar = $('#custombar');
                but = document.createElement('div');
                $(but).attr({id: 'action_parkcall', title: lang.park, 'data-toggle': 'tooltip', 'data-placement': 'bottom'}).addClass('actionbutton myclick').css('padding','0');
                img = document.createElement('span');
                $(img).addClass('fa fa-thumb-tack').addClass('tbutton');
                $(but).append(img);
                actionbar.append(but);
            }

       },

        action_parkcall: function(target) {

            defcommand = 'blindxfer';

            if (myposition > 0 && parkExten>0) {

                if (globalselected !== undefined) {
                    var desti = ExtraeNumero(globalselected.id);
                    if (buttontype[desti] == "park") {
                        parkExten = botonitos[desti]['EXTENSION'];
                        defcommand = 'blindxfernumber';
                    }
                }

                var boton = $('#boton' + myposition);

                if (boton.hasClass('busy')) {
                    var hash = hex_md5(secret+lastkey);
                    queuedcommand = "<msg data=\"" + myposition + "|"+defcommand+"|" + parkExten + "|" + hash + "\" />";
                    sendcommand();
                } else {
                    debug('not on a call, cannot park');
                }
            }
        },
        init: function() {
            // initialization function
            this.embed();
            this.loadLang();
        }
    }
}());
